Bug 1674751 - coin-or-lemon: FTBFS in Fedora rawhide/f30
Summary: coin-or-lemon: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: coin-or-lemon
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:58 UTC by Fedora Release Engineering
Modified: 2019-08-08 13:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 13:36:11 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 16:58 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 16:58 UTC, Fedora Release Engineering
no flags Details
state.log (649 bytes, text/plain)
2019-02-11 16:58 UTC, Fedora Release Engineering
no flags Details


Links
System ID Priority Status Summary Last Updated
Debian BTS 925749 None None None 2019-04-23 12:28:34 UTC

Description Fedora Release Engineering 2019-02-11 16:58:31 UTC
coin-or-lemon failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32372875


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix coin-or-lemon at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
coin-or-lemon will be orphaned. Before branching of Fedora 31,
coin-or-lemon will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 16:58:33 UTC
Created attachment 1529546 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 16:58:34 UTC
Created attachment 1529547 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 16:58:36 UTC
Created attachment 1529548 [details]
state.log

Comment 4 Antonio 2019-04-23 12:26:59 UTC
lemon is not ready for GCC9:

[ 70%] Building CXX object test/CMakeFiles/maps_test.dir/maps_test.cc.o
cd /builddir/build/BUILD/lemon-1.3.1/test && /usr/bin/c++   -I/builddir/build/BUILD/lemon-1.3.1  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wall -W -Wunused -Wformat=2 -Wctor-dtor-privacy -Wnon-virtual-dtor -Wno-char-subscripts -Wwrite-strings -Wno-char-subscripts -Wreturn-type -Wcast-qual -Wcast-align -Wsign-promo -Woverloaded-virtual -fno-strict-aliasing -Wold-style-cast -Wno-unknown-pragmas -DNDEBUG   -o CMakeFiles/maps_test.dir/maps_test.cc.o -c /builddir/build/BUILD/lemon-1.3.1/test/maps_test.cc
BUILDSTDERR: In file included from /builddir/build/BUILD/lemon-1.3.1/test/maps_test.cc:24:
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/lemon/maps.h: In substitution of 'template<class K, class V, V v> lemon::ConstMap<K, lemon::Const<V, v> > lemon::constMap() [with K = A; V = B; V v = <missing>]':
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/test/maps_test.cc:120:26:   required from here
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/lemon/maps.h:193:36: error: non-type template parameters of class type only available with '-std=c++2a' or '-std=gnu++2a'
BUILDSTDERR:   193 |   inline ConstMap<K, Const<V, v> > constMap() {
BUILDSTDERR:       |                                    ^~~~~~~~
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/lemon/maps.h: In substitution of 'template<class K, class V, V v> lemon::ConstMap<K, lemon::Const<V, v> > lemon::constMap() [with K = A; V = lemon::Const<int, 10>; V v = <missing>]':
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/test/maps_test.cc:136:39:   required from here
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/lemon/maps.h:193:36: error: non-type template parameters of class type only available with '-std=c++2a' or '-std=gnu++2a'
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/test/maps_test.cc: In function 'int main()':
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/test/maps_test.cc:162:24: warning: implicitly-declared 'lemon::RangeMap<B>::RangeMap(const lemon::RangeMap<B>&)' is deprecated [-Wdeprecated-copy]
BUILDSTDERR:   162 |     RangeMap<B> map4 = map1;
BUILDSTDERR:       |                        ^~~~
BUILDSTDERR: In file included from /builddir/build/BUILD/lemon-1.3.1/test/maps_test.cc:24:
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/lemon/maps.h:296:15: note: because 'lemon::RangeMap<B>' has user-provided 'lemon::RangeMap<V>& lemon::RangeMap<V>::operator=(const lemon::RangeMap<V>&) [with V = B]'
BUILDSTDERR:   296 |     RangeMap& operator=(const RangeMap&);
BUILDSTDERR:       |               ^~~~~~~~
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/lemon/maps.h: In instantiation of 'lemon::FunctorToMap<F, K, V>::FunctorToMap(const F&) [with F = F; K = A; V = B]':
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/test/maps_test.cc:234:21:   required from here
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/lemon/maps.h:627:42: warning: implicitly-declared 'constexpr F::F(const F&)' is deprecated [-Wdeprecated-copy]
BUILDSTDERR:   627 |     FunctorToMap(const F &f = F()) : _f(f) {}
BUILDSTDERR:       |                                          ^
BUILDSTDERR: /builddir/build/BUILD/lemon-1.3.1/test/maps_test.cc:66:6: note: because 'F' has user-provided 'F& F::operator=(const F&)'
BUILDSTDERR:    66 |   F& operator=(const F&);
BUILDSTDERR:       |      ^~~~~~~~
BUILDSTDERR: make[3]: *** [test/CMakeFiles/maps_test.dir/build.make:66: test/CMakeFiles/maps_test.dir/maps_test.cc.o] Error 1

Currently, tests are not built.

Comment 5 Jerry James 2019-06-28 15:25:59 UTC
I fixed this in Rawhide.  I am attempting to figure out how to send patches upstream.  The upstream trac instance has been closed for new submitters.  Anyone trying to sign up is told that they are a spammer, so go away.  No kidding.  I tried to subscribe to the developer email list.  I was told that subscription instructions would be sent to me via email.  That was 3 days ago.  Nothing has arrived in my inbox yet.  If somebody knows how to contact upstream, please let me know.

Comment 6 Fedora Release Engineering 2019-08-08 13:36:11 UTC
The following builds were made: coin-or-lemon-1.3.1-17.fc30 coin-or-lemon-1.3.1-17.fc31 coin-or-lemon-1.3.1-18.fc31 coin-or-lemon-1.3.1-19.fc31


Note You need to log in before you can comment on or make changes to this bug.